# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.7.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.6.2...@billogram/foundation-table@1.7.0) (2020-02-25)

### Bug Fixes

* Fix issues related to long text/words ([76d15c2e](https://github.com/billogram/frontend-foundation/commit/76d15c2e))
* Fix wrapping of long main + filter titles ([4f30171e](https://github.com/billogram/frontend-foundation/commit/4f30171e))


### Features

* Add FoundationTableDualCellValue ([90870bb5](https://github.com/billogram/frontend-foundation/commit/90870bb5))
* Add hidden to column definition ([7c350273](https://github.com/billogram/frontend-foundation/commit/7c350273))
* Add SCSS mixins for common table cell formats ([5749e850](https://github.com/billogram/frontend-foundation/commit/5749e850))
* Make it possible to add a sub-title to a column ([b0556bc8](https://github.com/billogram/frontend-foundation/commit/b0556bc8))



## [1.6.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.6.1...@billogram/foundation-table@1.6.2) (2020-02-20)

### Bug Fixes

* Matching of date and money ([10be8e02](https://github.com/billogram/frontend-foundation/commit/10be8e02))
* Fix return type of searchField ([782d7c9d](https://github.com/billogram/frontend-foundation/commit/782d7c9d))



## [1.6.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.6.0...@billogram/foundation-table@1.6.1) (2020-02-19)

### Bug Fixes

* Pass type to format functions ([060f412d](https://github.com/billogram/frontend-foundation/commit/060f412d))



## [1.6.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.5.2...@billogram/foundation-table@1.6.0) (2020-02-19)

### Bug Fixes

* Don't show scrollbar if not needed ([7cef8ad6](https://github.com/billogram/frontend-foundation/commit/7cef8ad6))


### Features

* Add common table type ([afef4010](https://github.com/billogram/frontend-foundation/commit/afef4010))



## [1.5.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.5.1...@billogram/foundation-table@1.5.2) (2020-02-14)

### Bug Fixes

* Add missing import ([797b38e2](https://github.com/billogram/frontend-foundation/commit/797b38e2))



## [1.5.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.5.0...@billogram/foundation-table@1.5.1) (2020-02-14)

### Bug Fixes

* Tweak margin for the search result overview component ([7bebabf6](https://github.com/billogram/frontend-foundation/commit/7bebabf6))
* Don't add unspecified sort by option if no sort columns ([172f95f1](https://github.com/billogram/frontend-foundation/commit/172f95f1))



## [1.5.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.4.0...@billogram/foundation-table@1.5.0) (2020-02-09)

### Bug Fixes

* Should be able to use ellipsis for main value table cell ([abb22797](https://github.com/billogram/frontend-foundation/commit/abb22797))


### Features

* Add filter title ([6c234ea3](https://github.com/billogram/frontend-foundation/commit/6c234ea3))
* Make it possible to have no icon ([c7d75692](https://github.com/billogram/frontend-foundation/commit/c7d75692))



## [1.4.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.3.1...@billogram/foundation-table@1.4.0) (2020-02-05)

### Features

* Add table cell icon component ([bb0546dc](https://github.com/billogram/frontend-foundation/commit/bb0546dc))
* Add set/unset/toggle transparent value for table row ([b4fefe77](https://github.com/billogram/frontend-foundation/commit/b4fefe77))



## [1.3.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.3.0...@billogram/foundation-table@1.3.1) (2020-02-03)

### Bug Fixes

* Fix alignment of ellipsis in table cell menu ([f250d782](https://github.com/billogram/frontend-foundation/commit/f250d782))
* Make sure sort dropdown doesn't break if initial sort by is missing ([f9fbe8e2](https://github.com/billogram/frontend-foundation/commit/f9fbe8e2))



## [1.3.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.2.0...@billogram/foundation-table@1.3.0) (2020-01-30)

### Bug Fixes

* Show pointer when hovering menu item ([20b13a73](https://github.com/billogram/frontend-foundation/commit/20b13a73))


### Features

* Make disabled optional in menu item ([ca602ce3](https://github.com/billogram/frontend-foundation/commit/ca602ce3))
* Implement useTableRowGroupContext ([9285cd7f](https://github.com/billogram/frontend-foundation/commit/9285cd7f))



## [1.2.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.1.0...@billogram/foundation-table@1.2.0) (2020-01-27)

### Bug Fixes

* Use toggle hook for table row group toggle states ([130ea4da](https://github.com/billogram/frontend-foundation/commit/130ea4da))


### Features

* Make it possible to update a table row ([f34c2525](https://github.com/billogram/frontend-foundation/commit/f34c2525))
* Add refetchTable function to row group context ([c8d50b97](https://github.com/billogram/frontend-foundation/commit/c8d50b97))
* Add a bit more padding to the left of the async button ([f231b03c](https://github.com/billogram/frontend-foundation/commit/f231b03c))
* Make it possible to hide async button ([5293a7ed](https://github.com/billogram/frontend-foundation/commit/5293a7ed))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-table@1.0.1...@billogram/foundation-table@1.1.0) (2020-01-22)

### Bug Fixes

* Use 4px border-radius ([41cb8169](https://github.com/billogram/frontend-foundation/commit/41cb8169))
* Fix border radius for table rows ([f220e7fe](https://github.com/billogram/frontend-foundation/commit/f220e7fe))
* Update copy key for fetch more buttons ([8f4c1402](https://github.com/billogram/frontend-foundation/commit/8f4c1402))


### Features

* Move sort dropdown to caption ([bcfa4f56](https://github.com/billogram/frontend-foundation/commit/bcfa4f56))
* Include total count in table title ([f166e8cb](https://github.com/billogram/frontend-foundation/commit/f166e8cb))



## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-table@1.0.1) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Prefer record type ([78ef5921](https://github.com/billogram/frontend-foundation/commit/78ef5921))
* Prefer interface to type alias ([a9343e5b](https://github.com/billogram/frontend-foundation/commit/a9343e5b))
* Use dependencies instead of peer dependencies ([a1cbff4b](https://github.com/billogram/frontend-foundation/commit/a1cbff4b))


### Features

* Add typed contexts ([2c4b571d](https://github.com/billogram/frontend-foundation/commit/2c4b571d))
* Implement list data provider ([4c348b08](https://github.com/billogram/frontend-foundation/commit/4c348b08))
* Support additional table data ([68e7bf10](https://github.com/billogram/frontend-foundation/commit/68e7bf10))
* Implement FoundationTable ([b2a58d69](https://github.com/billogram/frontend-foundation/commit/b2a58d69))
* Scaffold out @billogram/foundation-table ([b46c18bb](https://github.com/billogram/frontend-foundation/commit/b46c18bb))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-table@1.0.0) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Prefer record type ([78ef5921](https://github.com/billogram/frontend-foundation/commit/78ef5921))
* Prefer interface to type alias ([a9343e5b](https://github.com/billogram/frontend-foundation/commit/a9343e5b))
* Use dependencies instead of peer dependencies ([a1cbff4b](https://github.com/billogram/frontend-foundation/commit/a1cbff4b))


### Features

* Add typed contexts ([2c4b571d](https://github.com/billogram/frontend-foundation/commit/2c4b571d))
* Implement list data provider ([4c348b08](https://github.com/billogram/frontend-foundation/commit/4c348b08))
* Support additional table data ([68e7bf10](https://github.com/billogram/frontend-foundation/commit/68e7bf10))
* Implement FoundationTable ([b2a58d69](https://github.com/billogram/frontend-foundation/commit/b2a58d69))
* Scaffold out @billogram/foundation-table ([b46c18bb](https://github.com/billogram/frontend-foundation/commit/b46c18bb))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.
