import React from 'react';
import purebem from 'purebem';
import { FoundationButton } from '@billogram/foundation-button';
import { pgettext } from '@billogram/lang';
import FoundationTableCell from './FoundationTableCell';
import FoundationTableRowGroupContext from './FoundationTableRowGroupContext';
import './FoundationTableCellExpandButton.scss';
export default function FoundationTableCellExpandButton(_ref) {
  var columnName = _ref.columnName;
  var block = purebem('foundation-table-cell-expand-button');
  return React.createElement(FoundationTableRowGroupContext.Consumer, null, function (_ref2) {
    var isExpanded = _ref2.isExpanded,
        toggleExpanded = _ref2.toggleExpanded;
    return React.createElement(FoundationTableCell, {
      columnName: columnName
    }, React.createElement("div", {
      className: block('button')
    }, React.createElement(FoundationButton, {
      onClick: toggleExpanded
    }, pgettext('foundation-table', "Button--".concat(isExpanded ? 'collapse' : 'expand')))), React.createElement("button", {
      className: block('chevron', {
        collapsed: !isExpanded,
        expanded: isExpanded
      }),
      onClick: toggleExpanded
    }));
  });
}
//# sourceMappingURL=FoundationTableCellExpandButton.js.map