import React from 'react';
import FoundationTableRowSearchResult from './FoundationTableRowSearchResult';
import highlight from './highlight';
import toSearchField from './toSearchField';
export default function searchField(definition) {
  return function (data, query) {
    var field = toSearchField(definition, data, query);

    if (field.matchingTerms.length === 0) {
      return null;
    }

    return React.createElement(FoundationTableRowSearchResult, {
      key: field.key,
      title: field.title
    }, highlight(field.value, field.matchingTerms, field.type, function (token, start, end) {
      return React.createElement("mark", {
        key: "".concat(token, ":").concat(start, ":").concat(end)
      }, token);
    }));
  };
}
//# sourceMappingURL=searchField.js.map