import { createMatchesValue } from './matching';

function getTerms(definition, query) {
  if (Array.isArray(query)) {
    if (definition.advancedSearchOnly === true) {
      return [];
    }

    return query;
  }

  if (definition.getAdvancedSearchValue !== void 0) {
    var result = definition.getAdvancedSearchValue(query);
    var values = !Array.isArray(result) ? [result] : result;
    return values.filter(function (value) {
      return value !== void 0;
    });
  }

  return [];
}

export default function toSearchField(definition, data, query) {
  var actualValue = definition.getValue(data);
  var value = actualValue !== null && actualValue !== void 0 ? actualValue : '';
  var type = definition.type !== void 0 ? definition.type : 'default';
  var terms = getTerms(definition, query);
  var matchesValue = createMatchesValue(value, type);
  var matchingTerms = terms.filter(matchesValue);
  return {
    key: definition.key,
    matchingTerms: matchingTerms,
    title: definition.title,
    type: type,
    value: value
  };
}
//# sourceMappingURL=toSearchField.js.map